
## Shopping Cart Problem

## A shopping program stores user data in a Python 3 dictionary with structure defined below.  The shopping cart (`"cart"`) field holds a dictionary of product id's as keys and the quantity of those products as the value.

'''
users = {
    "14526": {
        "id": "14526",
        "first": "Bob",
        "last": "Roberts",
        "state": "IN",
        "cart": {
            "36325": 3,
            "44738": 1,
            "33421": 1,
            "22781": 3,
        },
    },
    "08726": {
        "id": "08726",
        "first": "Alice",
        "last": "Alison",
        "state": "IL",
        "cart": {
            "98645": 1,
            "44738": 2,
            "22781": 1,
            "14526": 5,
        },
    },
    "42732": {
        "id": "42732",
        "first": "Carson",
        "last": "Carleson",
        "state": "IN",
        "cart": {
            "33421": 100,
            "22781": 100,
        },
    },
    # ...
}
'''

## A separate list of products for sale are stored in a Python 3 dictionary with the following structure:

'''
products = {
    "98645": {
        "id": "98645",
        "price": 13.24,
    },
    "44738": {
        "id": "44738",
        "price": 7.88,
    },
    "22781": {
        "id": "22781",
        "price": 32.07,
    },
    "14526": {
        "id": "14526",
        "price": 3.88,
    },
    "36325": {
        "id": "36325",
        "price": 12.34,
    },
    "33421": {
        "id": "33421",
        "price": 9.77,
    },
    # ...
}
'''

## Finally a list of state sales taxes are stored in another Python 3 Dictionary with the following structure:

'''
# Sales tax percentage
state_tax = {
    "IN": 7.00,
    "IL": 6.25,
    # ...
}
'''

## Create a function that takes a user id and calculates the current cost of all of the items in the cart for a particular user, including sales tax for their state.  Then use the function to calculate the value of items in the carts for every person in the `users` dictionary.


## Intermediate Solution - Simple Output

## Here is an example output (with fake data answers):

'''
Alison, Alice: $154.76
Roberts, Bob: $237.44
'''



## Advanced Solution - Table Display Output

'''
Display your results in a simple text-based table, where each field is 15 characters wide (not including dividers or padding). The data will take the following form:

- Titles are left aligned, 15 characters wide, with one space padding on either side.
- Names are displayed last name comma first name, 15 characters wide (cutoff if too long), and left aligned with one space padding on either side.
- Prices rounded to 2 decimals, right aligned, A dollar sign in the left most position, with one space padding on either side.

Here is an example output (with fake data answers):

-------------------------------------
| Name            | Cart Value      |
|-----------------|-----------------|
| Alison, Alice   | $         22.42 |
| Roberts, Bob    | $        354.92 |
| Carleson, Ca... | $       1442.44 |
|-----------------------------------|
'''



#### Bonus Points - Display The List In Alphabetical Order (last name then first name)
